Skip to content
Permalink
Browse files

packager.io: fix and update build files (#5760)

* Update pkgr distros and dependencies

* Configure govendor for heroku builds
  • Loading branch information...
half-duplex authored and unknwon committed Jul 29, 2019
1 parent bd0549c commit e6bddd3ed2814a770d08490b7c326e72e291f83b
Showing with 12 additions and 5 deletions.
  1. +8 −5 .pkgr.yml
  2. +4 −0 vendor/vendor.json
@@ -1,15 +1,13 @@
targets:
debian-7: &debian
debian-8: &debian
build_dependencies:
- libpam0g-dev
dependencies:
- libpam0g
- git
debian-8:
<<: *debian
debian-9:
<<: *debian
ubuntu-12.04:
debian-10:
<<: *debian
ubuntu-14.04:
<<: *debian
@@ -18,6 +16,8 @@ targets:
build_dependencies:
- bzr
- mercurial
ubuntu-18.04:
<<: *debian
centos-6: &el
build_dependencies:
- pam-devel
@@ -33,4 +33,7 @@ before:
after:
- mv bin/gogs gogs
after_install: ./packager/hooks/postinst
buildpack: https://github.com/heroku/heroku-buildpack-go.git#v62
# Can be updated after CentOS 6 support is dropped, otherwise fails with
# `fatal: bad config file line 2 in /home/pkgr/.gitconfig` because of
# https://github.com/heroku/heroku-buildpack-go/blob/f96ebebfa7605fd3916521e42ab050c81c9b947a/lib/common.sh#L238
buildpack: https://github.com/heroku/heroku-buildpack-go.git#v76
@@ -1,5 +1,9 @@
{
"comment": "",
"heroku": {
"install": ["."],
"sync": false
},
"ignore": "test",
"package": [
{

0 comments on commit e6bddd3

Please sign in to comment.
You can’t perform that action at this time.